echo -e "Rebuild All process initialization...\n";
echo "Process extra parameters available:";
echo -e "disable_index_fulltext=true \t - disable importing fulltexts to search service (import only metadata)";
echo -e "indexRefmeta=true \t\t - enable indexing references metadata (like indexReferences.sh process)";
echo -e "processContentView=true \t - enable creating document contents views";
echo -e "forceProcessAll=true \t\t - forces processing all elements";
echo -e "processContributorInstitutions=true \t - add each related contributor institution with publisher role to processing as regular publisher";
echo -e "processSimilarity=true \t\t - enable processing similarity data for similar documents search (like rebuildSimilarity.sh process)\n";
echo -e "fullKeywordsReplace=true \t - replace keywords dictionary completely. Default value = value of forceProcessAll flag";
echo -e "optimizedKeywordsReplace=true \t - use true when processing big data chunk, false otherwise. Doesn't matter if fullKeywordsReplace=true";

java -cp `../../setupclasspath.sh` pl.edu.icm.yadda.remoting.cli.service3.process.RunProcess -p processes/definitions/composite/RebuildAll "$@"
